<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6 class="mb-3">xNCI Work Force Management</h6>
      <h6 class="text-danger">{{ lblError }}</h6>
      <form [formGroup]="form" novalidate>
        <div class="form-row row col-24">
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-8">User to Assign:</label>
            <div class="col-24 col-lg-12">
              <dx-select-box [items]="userAssignList" formControlName="userToAssign"
                             displayExpr="dsplNme" valueExpr="userId"
                             placeholder="-- Select Option --" searchMode="startswith"
                             [searchEnabled]="true" [searchExpr]="['dsplNme']"
                             (onSelectionChanged)="onUserToAssignChanged($event)"></dx-select-box>
            </div>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btngrvAssign_Click()">
              Assign
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btngrvUnAssign_Click()">
              Unassign
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btngrvTransfer_Click()">
              Transfer
            </button>
          </div>
        </div>
        <hr />
        <div class="form-row row col-24">
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-8">M5 # Contains: </label>
            <div class="col-24 col-lg-12">
              <input type="text" class="form-control form-control-sm" formControlName="m5Filter" />
            </div>
          </div>
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-8">Assigned User: </label>
            <div class="col-24 col-lg-12">
              <dx-select-box [items]="assignedUserList" formControlName="assignedUser"
                             displayExpr="assigneD_USER_CNT" valueExpr="assigneD_USER"
                             placeholder="-- Select Option --" searchMode="startswith"
                             [searchEnabled]="true" [searchExpr]="['assigneD_USER_CNT']">
              </dx-select-box>
            </div>
          </div>
        </div>

        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-3 offset-md-6 offset-lg-9">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btngrvSearch_Click()" [disabled]="locked">
              Apply Filter
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-3">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="btngrvClear_Click()">
              Clear Filter
            </button>
          </div>
        </div>

        <dx-data-grid #grid id="grid" [dataSource]="wfmOrdersList" [keyExpr]="['ordR_ID', 'assigneD_USER']"
                      [columnAutoWidth]="true" [rowAlternationEnabled]="true" [showBorders]="true"
                      [wordWrapEnabled]="true" (onContentReady)="contentReadyHandler($event)"
                      (onSelectionChanged)="selectionChangedHandler($event)"
                      (onCellPrepared)="onCellPrepared($event)">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
          <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
          <dxo-paging [pageSize]="50"></dxo-paging>
          <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
          <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
          <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
          <dxi-column dataField="proD_TYPE" caption="Product" dataType="string"></dxi-column>
          <dxi-column dataField="ordR_TYPE" caption="Order Type" dataType="string"></dxi-column>
          <dxi-column dataField="pltfM_TYPE" caption="Platform" dataType="string"></dxi-column>
          <dxi-column dataField="country" caption="Country" dataType="string"></dxi-column>
          <dxi-column dataField="rts" caption="RTS" dataType="string"></dxi-column>
          <dxi-column dataField="assigneD_USER" caption="Assigned User" dataType="string"></dxi-column>
          <dxi-column dataField="assigneD_BY" caption="Assigned By" dataType="string"></dxi-column>
          <dxi-column dataField="assigN_DT" caption="Assign Date" dataType="datetime" cellTemplate="assignDate"></dxi-column>
          <div *dxTemplate="let cell of 'assignDate'">
            <span>{{cell.text | date:'MMM dd yyyy hh:mm a'}}</span>
          </div>
          <dxi-column dataField="submiT_DT" caption="Submit Date" dataType="datetime" cellTemplate="submitDate"></dxi-column>
          <div *dxTemplate="let cell of 'submitDate'">
            <span>{{cell.text | date:'MMM dd yyyy'}}</span>
          </div>
          <dxi-column dataField="cusT_NME" caption="Customer Name" dataType="string"></dxi-column>
          <dxi-column dataField="cusT_ADDR" caption="Customer Address" dataType="string"></dxi-column>
          <dxi-column dataField="city" caption="City" dataType="string"></dxi-column>
        </dx-data-grid>
      </form>
    </div>
  </div>
</div>

